.deploy_template: &deploy
  only:
    - master
  script:
    - npm install --global surge
    - surge --project $PROJECT --domain $DOMAIN
  environment:
    url: $DOMAIN

deploy-production:
  <<: *deploy
  stage: deploy production
  image: node
  variables:
    DOMAIN: $SURGE_DOMAIN_PRODUCTION
    PROJECT: $PRODUCTION_PATH
  environment:
    name: production
  needs:
    - build-website
    - test-staging
  when: manual
